summaryrefslogtreecommitdiffstats
path: root/source/kde/KDE.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/kde/KDE.SlackBuild
downloadcurrent-slackware-13.0.tar.gz
current-slackware-13.0.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/kde/KDE.SlackBuild')
-rwxr-xr-xsource/kde/KDE.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/source/kde/KDE.SlackBuild b/source/kde/KDE.SlackBuild
new file mode 100755
index 000000000..d8914eb54
--- /dev/null
+++ b/source/kde/KDE.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Build (and install) all KDE packages.
+# Written for Slackware by volkerdi@slackware.com.
+# Modified for KDE4 by Robby Workman <rworkman@slackware.com>
+
+# kdeaccessibility builds plugins for epos, festival, flite, freetts, and
+# hadifix, so they should work with kde if any of those are installed later
+
+# Set the config option variables if they are not already set:
+[ -r ./KDE.options ] && . ./KDE.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+# Get the kde environment variables
+[ -d kdebase ] && eval $(sed -e "s#/lib#/lib${LIBDIRSUFFIX}#" ./kdebase/profile.d/kde.sh)
+
+KDEMODS=" \
+ kdelibs \
+ kdepimlibs \
+ kdebase-workspace \
+ kdebase \
+ kdebase-workspace \
+ kdebase-runtime \
+ kdeaccessibility \
+ kdeutils \
+ kdemultimedia \
+ kdenetwork \
+ kdeadmin \
+ kdeartwork \
+ kdegames \
+ kdetoys \
+ kdegraphics \
+ kdesdk \
+ kdepim \
+ kdeedu \
+ kdeplasma-addons \
+ kdebindings \
+ kdewebdev \
+ kdevplatform \
+ kdevelop \
+ konq-plugins \
+ koffice \
+ amarok \
+ guidance-power-manager \
+ kaudiocreator \
+ ktorrent \
+ skanlite"
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$KDEMODS
+else
+ MODQUEUE=$*
+fi
+
+# Yes, we know kdebase-workspace is built twice. kdebase needs the
+# plasma bits from it, and then we build it again for good measure...
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall /tmp/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf /tmp/package-${module} /tmp/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+